﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _89977
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable ComboTable = new DataTable();
            ComboTable.Columns.Add("Id", typeof(int));
            ComboTable.Columns.Add("Description", typeof(string));
            for (int i = 0; i < 10; i++)
            {
                ComboTable.Rows.Add(i, string.Format("Item {0}", i));
            }

            ultraComboEditor1.DataSource = ComboTable;
            ultraComboEditor1.DisplayMember = "Description";
            ultraComboEditor1.ValueMember = "Id";

            DataTable gridTable = new DataTable();
            gridTable.Columns.Add("Id", typeof(int[]));

            gridTable.Rows.Add(new int[] { 1, 3, 8 });
            gridTable.Rows.Add(new int[] { 3, 5, 9 });

            ultraGrid1.InitializeLayout += new Infragistics.Win.UltraWinGrid.InitializeLayoutEventHandler(ultraGrid1_InitializeLayout);
            ultraGrid1.DataSource = gridTable;
            
           
        }

        void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["Id"].EditorComponent = ultraComboEditor1;
        }
    }
}
